WCS_ASTRO_BREAKDOWN_DMS(3)

EXPERIMENTAL_FUNC
wcs_astro_breakdown_dms - Break down an angular value into degrees, minutes and seconds.

SYNOPSIS
#include <karma_wcs.h>

flag wcs_astro_breakdown_dms

(flag *negative, int *degrees, int *minutes, double *seconds, int *whole_seconds, double *subseconds, double input, double offset)

DESCRIPTION
Break down an angular value into degrees, minutes and seconds.

negative
    If the value is negative the value TRUE is written here, else FALSE is written here. This may be NULL.

degrees
    The degrees are written here. This may be NULL.

minutes
    The minutes are written here. This may be NULL.

seconds
    The seconds are written here. This may be NULL.

whole_seconds
    The integer truncated seconds are written here. This may be NULL.

subseconds
    The fractional seconds are written here. This may be NULL.

input
    The input value in degrees.

offset
    The offset (in arcseconds) to apply for rounding purposes.

RETURN VALUE
TRUE if the value was legal, else FALSE.

Multi-threading Level
Unsafe.

NOTE
All component values are guaranteed to be positive.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/